LibreOffice: XEmbedObjectFactory Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XEmbedObjectFactory Interface Referencepublished

allows to create and initialize a new embedded object of specified type. More...

`import "XEmbedObjectFactory.idl";`

Inheritance diagram for XEmbedObjectFactory:

## Public Member Functions
::com::sun::star::uno::XInterface | createInstanceUserInit ([in] sequence< byte > aClassID, [in] string sClassName, [in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntName, [in] long nEntryConnectionMode, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object and transport parameters for persistent initialization.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to create and initialize a new embedded object of specified type.

This interface provides user with full control over object creation.

## Member Function Documentation

## ◆ createInstanceUserInit()

::com::sun::star::uno::XInterface createInstanceUserInit | ( | [in] sequence< byte > | aClassID,
|  | [in] string | sClassName,
|  | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntName,
|  | [in] long | nEntryConnectionMode,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception ) |  |  |

creates a new object and transport parameters for persistent initialization.

This method can be used to have a full control over persistence initialization of an object.

If the service implementation does not support XEmbedObjectCreator interface, it must accept the empty aClassID parameter in case of loading from existing entry.

Parameters

  aClassID | the class id of the new object
  sClassName | the class name of the new object
  xStorage | a parent storage the entry should be created/opened in
  sEntName | a name for the entry
  nEntryConnectionMode | a mode in which the object should be initialized from entry can take values from EntryInitModes constant set
  aArgs | optional parameters for the embedded document persistence initialization, see also com::sun::star::document::MediaDescriptor
  aObjectArgs | optional parameters for the object persistence initialization, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | one of arguments is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbedObjectFactory.idl